
// AppNotes.java
// Andrew Davison, April 2009, ad@fivedots.coe.psu.ac.th

/*  Store a map of filename-FileNotes objects, so
    a musical note string (or null) can be retrieved for
    a specified line from a file.
*/

import java.io.*;
import java.util.*;


public class AppNotes
{
  private TreeMap<String,FileNotes> filesNotesMap;
       // the string key is the name of the file


  public AppNotes()
  {  filesNotesMap = new TreeMap<String,FileNotes>();  }


  public void add(String fnm)
  // add fnm-FileNotes pair to map
  {
    if (filesNotesMap.containsKey(fnm)) {
      System.out.println(fnm + "already stored");
      return;
    }

    filesNotesMap.put(fnm, new FileNotes(fnm));
    System.out.println(fnm + " added to files Notes");
  }  // end of add()


  public String getNote(String fnm, int lineNum)
  // return the musical note string for the specified line from fnm (or null)
  {
    FileNotes lines = filesNotesMap.get(fnm);
    if (lines == null) {
      System.out.println(fnm + "not found");
      return null;
    }

    return lines.getNote(lineNum);
  }  // end of getNote()

    
}  // end of AppNotes class
